-- -----------------------------------------------------
SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

-- -----------------------------------------------------
-- Table `vivdocs`.`Constants`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `vivdocs`.`const`;

CREATE TABLE  `vivdocs`.`const` (
  `const_var` VARCHAR(32) NOT NULL,
  `const_val` VARCHAR(128) NULL,
  PRIMARY KEY  (`const_var`)
) ENGINE=InnoDB;

DROP TABLE IF EXISTS `vivdocs`.`file`;

CREATE TABLE `vivdocs`.`file` (
  `file_hash` BINARY(32) NOT NULL,
  `file_text` MEDIUMBLOB,
  `file_data` LONGBLOB ,
  PRIMARY KEY (`file_hash`)
) ENGINE=InnoDB;

DROP TABLE IF EXISTS `vivdocs`.`data`;

CREATE TABLE `vivdocs`.`data` (
	`data_lid` INT NOT NULL,
	`data_modified` TIMESTAMP NOT NULL,
	`data_data` MEDIUMBLOB,
	PRIMARY KEY (`data_lid`,`data_modified`)
) ENGINE=InnoDB;

INSERT INTO `vivdocs`.`const` (`const_var`,`const_val`) VALUES ('RELEASE','1');

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
